Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.domain
Interface BlobDomainInterface

All Superinterfaces:
  DomainInterface

All Known Subinterfaces:
  LobInterface, LobStreamInterface

All Known Implementing Classes:
  Array, BFileDomain, BlobDomain, ClobDomain, Struct

public interface BlobDomainInterface
extends DomainInterface

Provides methods to save data to, and extract data from, LOB domain classes. These methods are implemented by all LOB-based domain classes: `BlobDomain`, `BFileDomain`, and `ClobDomain`.

Domain classes encapsulate Oracle SQL datatypes. Domain objects can be converted to the standard JDBC data types.

Since:
  JDevloper 3.0
See Also:
  `TypeFactory`, "JboDomainValidator"

Method Summary
`void` | `loadFromDatabase(Transaction transaction)`
`void` | `prepareForDML(java.lang.Object context)` Internal: Applications should not use this method.
`void` | `saveToDatabase(Transaction transaction)`
`void` | `saveToDatabase(Transaction transaction, java.lang.Object emptySQLObject)` Internal: Applications should not use this method.

Methods inherited from interface oracle.jbo.domain.DomainInterface
`getData, setContext`

Method Detail

### loadFromDatabase

    public void loadFromDatabase(Transaction transaction)
                          throws java.lang.Exception

  Parameters:
    `transaction` - the `DBTransactionImpl` of the current Application Module.
  Throws:
    `java.lang.Exception`

### saveToDatabase

    public void saveToDatabase(Transaction transaction)
                        throws java.lang.Exception

  Parameters:
    `transaction` - the `DBTransactionImpl` instance of the current Application Module.
  Throws:
    `java.lang.Exception`

### saveToDatabase

    public void saveToDatabase(Transaction transaction,
                               java.lang.Object emptySQLObject)
                        throws java.lang.Exception

  Internal: Applications should not use this method.

  Uses the given transaction context to store data back into the database using the LOB-locator which should be set before this method is invoked.

  Throws:
    `java.lang.Exception`

### prepareForDML

    public void prepareForDML(java.lang.Object context)

  Internal: Applications should not use this method.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.